.total_a_pagar {
  display: inline-block;
  background-color: #ff0000;
  color: rgb(255, 255, 255);
  padding: 5px 10px;
  border-radius: 12px;
  box-shadow: 0 4px 8px rgb(0, 0, 0);
  font-size: 1.25rem;
  font-weight: bold;
  text-align: center;
}

.swal2-toast-custom {
  padding: 10px 15px;
  font-size: 14px;
  border-radius: 8px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2);
}

input[type="time"],
input[type="date"] {
  --color: rgb(36, 103, 219);

  border: 3px solid var(--color);
  font-size: 1.1rem;
  background: rgba(0, 0, 0, 0.867);
  color: #fff;
  padding: 2px;
  border-radius: 10px;

  &::-webkit-datetime-edit {
    margin-right: 0.5rem;
  }

  &::-webkit-datetime-edit-fields-wrapper {
    background: #000000;
    border-radius: 8px;
    padding: 4px 10px;
  }

  &::-webkit-datetime-edit-text {
    color: cyan;
  }

  &::-webkit-datetime-edit-day-field:focus,
  &::-webkit-datetime-edit-month-field:focus,
  &::-webkit-datetime-edit-year-field:focus {
    background: indigo;
  }

  &::-webkit-calendar-picker-indicator {
    filter: invert(1);
  }
}

hr {
  border: 0;
  height: 1.2px;
  background: #333;
  background-image: linear-gradient(to right, #b8b8b8, #1600df, #b8b8b8);
}

.cmbColumn {
  background: #402f2f;
  border-radius: 10px;
  color: #f5f6fa;
  border: none;
  font-size: 14px;
  height: 30px;
  padding: 5px;
  width: 100px;
}

.cmbColumn .option {
  height: 30px;
}

/* cinta de home  */


.cinta {
  width: 100%;
  height: 50px;
  overflow: hidden;
  background-color: #3F51B5;
  white-space: nowrap;
  display: flex;
  align-items: center;

  background: linear-gradient(to right, #0f0c29, #7f84c9, #2006b4);
  box-shadow: 0 0 5px rgba(0, 255, 255, 0.986);
  border-top: 2px solid rgba(0, 4, 255, 0.3);
  border-bottom: 2px solid rgba(0, 26, 255, 0.3);
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* .mensajes {
  display: inline-block;
  padding-left: 100%;
  animation: mover 50s linear infinite;

  font-size: 1.3rem;
  font-weight: bold;
  letter-spacing: 1px;
  color: #00ffe7;
  text-shadow: 0 0 5px #00ffe7, 0 0 10px #00ffe7;
  will-change: transform;
} */

.mensajes {
  display: inline-block;
  padding-left: 100%;
  animation: mover var(--duracion, 50s) linear infinite;

  font-size: 1.3rem;
  font-weight: bold;
  letter-spacing: 1px;
  color: #00ffe7;
  text-shadow: 0 0 5px #00ffe7, 0 0 10px #00ffe7;
  will-change: transform;
  white-space: nowrap;
}


@keyframes mover {
  from {
    transform: translateX(0%);
  }

  to {
    transform: translateX(-100%);
  }
}

.mensaje {
  display: inline-block;
  margin-right: 50px;
  color: white;
}

@page {
  size: landscape;
}

/* colocando restriccion de imagen para listar  productos  */
.media-left .image img {
  width: 128px;
  height: 128px;
  object-fit: contain;
  /* Mantiene la imagen dentro del tamaño sin recortarla */
  display: block;
  /* Evita espacios adicionales */
  border-radius: 8px;
  /* Opcional: bordes redondeados para una apariencia más estética */
}

/* css de las barra deslizable */
scroll-container {
  display: block;
  margin: 0 auto;
  text-align: center;
}

scroll-container {
  display: block;
  width: 450px;
  height: 240px;
  overflow-y: scroll;
  scroll-behavior: smooth;
}

scroll-page {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100%;
  font-size: 5em;
}

/*  contrasela barra*/
#strengthBar {
  transition: background-color 0.4s ease-in-out;
}

#strengthText {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  font-size: 0.85rem;
  transition: color 0.4s ease-in-out;
}



/* css de los sub menus seleccionados lateral */


a.subMenuItem.active {
  background-color: #606db7;
  /* Cambia por tu color */
  color: rgb(255, 255, 255);
  font-weight: bold;
}

/* css login  */

.imagen-perfil {
  border-radius: 3rem;
  box-shadow: 0 1px 35px rgba(15, 0, 184, 0.98);
  display: inline-block;
  width: 96px;
  height: 96px;
  object-fit: cover;
}

.form-login {
  padding: 2rem;
  border-radius: 2rem;
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.98);
  max-width: 420px;
  position: relative;
}

.bienvenida-mensaje {
  margin-top: 1rem;
  font-weight: 600;
  font-size: 1.1rem;
  color: #2c3e50;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

/* ventas nombre ariba  */
.ventas-titulo {
  font-size: 4rem;
  font-weight: 900;
  background: linear-gradient(70deg, #0800ff, #fc0000);
  -webkit-text-fill-color: transparent;
  text-shadow: 1px 1px 3px rgba(0, 0, 0, 0.2);
  letter-spacing: 1px;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  transition: all 0.3s ease;
}

.ventas-titulo:hover {
  transform: scale(1.1);
  text-shadow: 6px 6px 6px rgba(0, 0, 0, 0.25);
}

.cuadro-cerca {
  text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
  letter-spacing: 1px;

}

.cuadro-cerca:hover {
  transform: scale(1.1);
  text-shadow: 6px 6px 6px rgba(0, 0, 0, 0.25);
}

.cuadro-cerca-foto {
  text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
  letter-spacing: 1px;
  transition: transform 0.5s ease;
}

.cuadro-cerca-foto:hover {
  transform: scale(3);
  text-shadow: 4px 4px 4px rgba(0, 0, 0, 0.25);
}

/* pare nemu lateral  */
.cuadro-menulateral {
  text-shadow: 1px 1px 2px rgba(28, 3, 254, 0.395);
  letter-spacing: 1px;
}

.cuadro-menulateral:hover {
  text-shadow: 3px 3px 5px rgb(80, 251, 57);
}

.proveedor-label {
  font-size: 0.75rem;
  margin: 0;
  padding: 0;
  line-height: 1;
  display: inline-block;
  vertical-align: middle;
  font-weight: 600;
}

.txtlateral {
  font-size: 1rem;
  margin: 0;
  padding: 0;
  font-weight: 600;
  white-space: nowrap;
  /* evita que el texto se divida en dos líneas */
}

.custom-success2 {
  background-color: #28a745 !important;
  /* Verde vibrante */
  color: white !important;

  font-weight: 600;
}

.custom-success2:hover {
  background-color: #218838 !important;
  /* Verde más oscuro al hover */
  color: white !important;
}

.custom-success2 {
  box-shadow: 0 0 8px rgba(40, 167, 69, 0.6);
}

.modal-producto-content {
  border-radius: 8px;
  padding: 20px;
  width: 65%;
  max-height: 90vh;
  overflow-y: auto;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  background: white;
}



.dropdown-results {
    position: absolute;
    top: 100%;          /* justo debajo del input */
    left: 0;
    right: 0;
    background: #fff;
    border: 1px solid #ddd;
    max-height: 650px;  /* límite para scroll */
    overflow-y: auto;
    z-index: 1000;      /* para que quede encima */
    border-radius: 6px;
    box-shadow: 0 4px 10px rgba(0,0,0,0.1);
    display: none;      /* por defecto oculto */
}
.dropdown-results.show {
    display: block;
}